import { SharedConfigFiles, SharedConfigInit as BaseSharedConfigInit } from "@aws-sdk/shared-ini-file-loader";
import { Provider } from "@aws-sdk/types";
export declare const ENV_PROFILE = "AWS_PROFILE";
export interface SharedConfigInit extends BaseSharedConfigInit {
    /**
     * The configuration profile to use.
     */
    profile?: string;
    /**
     * A promise that will be resolved with loaded and parsed credentials files.
     * Used to avoid loading shared config files multiple times.
     */
    loadedConfig?: Promise<SharedConfigFiles>;
}
export declare function fromSharedConfigFiles(init?: SharedConfigInit): Provider<string>;
